GNU bug report logs - #37369
Getting network-manager-openconnect to work

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>; dated Tue, 10 Sep 2019 11:22:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 37369 <at> debbugs.gnu.org:


Received: (at 37369) by debbugs.gnu.org; 29 Sep 2019 07:54:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 03:54:30 2019
Received: from localhost ([127.0.0.1]:52133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEU2I-0004sO-An
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 03:54:30 -0400
Received: from pelzflorian.de ([5.45.111.108]:60922 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1iEU2F-0004sE-SR
 for 37369 <at> debbugs.gnu.org; Sun, 29 Sep 2019 03:54:28 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 37068360035;
 Sun, 29 Sep 2019 09:54:25 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1569743666;
 bh=6TSgOXO2W1czOB4gozBcgvwssqMueuVRFkIBHSvCpVI=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=tXrE/SznHYHNgHGFg3o579st2ctpM7jCifSJbt1P4n/iGcTqVusjDRyvT5T2VKMfM
 dd4f6l3hPAfzPJHJsjIZh8odvYCPthjD0JAo1j5P/cVcxYUqC1n2toadQCSlSYvK8z
 Q8HyZYkjuPPgvtXKQZHJbzBs5JMp66vc86OCyCzA=
Date: Sun, 29 Sep 2019 09:54:25 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Divan Santana <divan@HIDDEN>
Subject: Re: bug#37369: Getting network-manager-openconnect to work
Message-ID: <20190929075425.4yuz27fhm5jwvujm@HIDDEN>
References: <87sgp4pj7s.fsf@HIDDEN>
 <20190910112120.ezqnrrfffhhjvc2d@HIDDEN>
 <874l1ipnlr.fsf@HIDDEN>
 <20190912053411.bscrrsv6flzy7lgu@HIDDEN>
 <87y2yo5j40.fsf@HIDDEN>
 <20190916160635.dzx2ikvzi3kagtrc@HIDDEN>
 <20190927163735.c4cjjuh4r6i6de3c@HIDDEN>
 <87ftkgtsjb.fsf@HIDDEN>
 <20190928153443.r4kbd3tninivufq6@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20190928153443.r4kbd3tninivufq6@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37369
Cc: 37369 <at> debbugs.gnu.org, help-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Regarding openconnect, no workarounds are necessary anymore for me on
core-updates, which uses a more recent network-manager@HIDDEN and will
soon be on Guix master.

Regards,
Florian




Information forwarded to bug-guix@HIDDEN:
bug#37369; Package guix. Full text available.

Message received at 37369 <at> debbugs.gnu.org:


Received: (at 37369) by debbugs.gnu.org; 28 Sep 2019 16:47:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 28 12:47:09 2019
Received: from localhost ([127.0.0.1]:51097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEFsD-0003m7-5F
	for submit <at> debbugs.gnu.org; Sat, 28 Sep 2019 12:47:09 -0400
Received: from pelzflorian.de ([5.45.111.108]:59820 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1iEFsB-0003lz-2B
 for 37369 <at> debbugs.gnu.org; Sat, 28 Sep 2019 12:47:07 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 29CFA360035;
 Sat, 28 Sep 2019 18:47:04 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1569689225;
 bh=KgCGm6se09lf6oBBTHFQRwW8+yKfeA5Mi9oABDfQJp0=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=GuRXZu6fgzu6pcVtnO/rbiUbyEEwFgQZTj1JqkhFNHV+j4NwKrkMg6R6gqKjDJHoO
 k8VyJo7OR81XFhBYc9i/4kR6Wk3ZL1PqFF3Z6bY5tI35jBiaoth3V2Z3Yyr46zP5Tg
 zCQ83JZ8cNR/M6seOEds6ZGLNoA9oTSXD+m3OU/0=
Date: Sat, 28 Sep 2019 18:47:04 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Divan Santana <divan@HIDDEN>
Subject: Re: bug#37369: Getting network-manager-openconnect to work
Message-ID: <20190928164704.vtky5rof6wtlu5cu@HIDDEN>
References: <87sgp4pj7s.fsf@HIDDEN>
 <20190910112120.ezqnrrfffhhjvc2d@HIDDEN>
 <874l1ipnlr.fsf@HIDDEN>
 <20190912053411.bscrrsv6flzy7lgu@HIDDEN>
 <87y2yo5j40.fsf@HIDDEN>
 <20190916160635.dzx2ikvzi3kagtrc@HIDDEN>
 <20190927163735.c4cjjuh4r6i6de3c@HIDDEN>
 <87ftkgtsjb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87ftkgtsjb.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37369
Cc: 37369 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 help-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Sep 28, 2019 at 04:16:40PM +0200, Divan Santana wrote:
> So firstly I can't edit the connection as my user, without sudo. Not
> sure if I need to be in some group to do that?
> 

P.S. I use

 (users (cons (user-account
               (name "florian")
               (comment "Florian Pelz")
               (group "users")
               (supplementary-groups '("wheel" "netdev"
                                       "audio" "video"
                                       "httpd" "kvm"))
               (home-directory "/home/florian"))
              %base-user-accounts))

which is the default when installing Guix with the GNOME desktop plus
unrelated httpd and kvm.
netdev group seems relevant.

Regards,
Florian




Information forwarded to bug-guix@HIDDEN:
bug#37369; Package guix. Full text available.

Message received at 37369 <at> debbugs.gnu.org:


Received: (at 37369) by debbugs.gnu.org; 28 Sep 2019 15:34:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 28 11:34:49 2019
Received: from localhost ([127.0.0.1]:51062 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEEkD-00022C-0c
	for submit <at> debbugs.gnu.org; Sat, 28 Sep 2019 11:34:49 -0400
Received: from pelzflorian.de ([5.45.111.108]:59666 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1iEEkA-000222-4K
 for 37369 <at> debbugs.gnu.org; Sat, 28 Sep 2019 11:34:47 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 2DCD9360035;
 Sat, 28 Sep 2019 17:34:44 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1569684884;
 bh=pPooYB/e0QpiBhk1oguAzW/JVSkEdMP04JuvnV2DZa4=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=PZfiyy72fQS3LyeI1coxo8N43IaClSwTMPc6JKfK3paWYoVumrDEOGKQW5T3UhyL7
 0GCs1XEpbCNyBNwfdzp0QJtRATtPw1g/M3MW3ntNi9oU+knWem+ot6dQ2HsOjhse+G
 A64ex2U5/lms0pG9CWp9xNL2hjjvn9feAL+XsuJc=
Date: Sat, 28 Sep 2019 17:34:43 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Divan Santana <divan@HIDDEN>
Subject: Re: bug#37369: Getting network-manager-openconnect to work
Message-ID: <20190928153443.r4kbd3tninivufq6@HIDDEN>
References: <87sgp4pj7s.fsf@HIDDEN>
 <20190910112120.ezqnrrfffhhjvc2d@HIDDEN>
 <874l1ipnlr.fsf@HIDDEN>
 <20190912053411.bscrrsv6flzy7lgu@HIDDEN>
 <87y2yo5j40.fsf@HIDDEN>
 <20190916160635.dzx2ikvzi3kagtrc@HIDDEN>
 <20190927163735.c4cjjuh4r6i6de3c@HIDDEN>
 <87ftkgtsjb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87ftkgtsjb.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37369
Cc: 37369 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 help-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

For me, before editing the connection, NetworkManager crashed with a
segfault and restarted after attempting to connect with a faulty VPN
connection.  The same may be what happens to you.

However, I can add a new connection with gnome-control-center or
nm-connection-editor (without using any “connection file”; GNOME asks
me for the sudo password though) and then I fill in the gateway field.
I can then use for example nmtui to activate the connection.

I noticed I have openconnect in my config.scm’s system packages, but I
believe it is not relevant.

I use:

(network-manager-service-type config =>
  (network-manager-configuration
    (inherit config)
    (dns "dnsmasq")
    (vpn-plugins (list network-manager-openconnect))))

dnsmasq is probably not required, but I do not know.

Regards,
Florian




Information forwarded to bug-guix@HIDDEN:
bug#37369; Package guix. Full text available.

Message received at 37369 <at> debbugs.gnu.org:


Received: (at 37369) by debbugs.gnu.org; 28 Sep 2019 14:16:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 28 10:16:49 2019
Received: from localhost ([127.0.0.1]:51011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEDWh-0008RT-Ns
	for submit <at> debbugs.gnu.org; Sat, 28 Sep 2019 10:16:48 -0400
Received: from [156.0.193.126] (port=39263 helo=mail.santanas.co.za)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <divan@HIDDEN>) id 1iEDWe-0008RK-UC
 for 37369 <at> debbugs.gnu.org; Sat, 28 Sep 2019 10:16:46 -0400
Received: from authenticated-user (mail.santanas.co.za [156.0.193.126])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.santanas.co.za (Postfix) with ESMTPSA id 6AD465F4F0;
 Sat, 28 Sep 2019 16:16:41 +0200 (SAST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=santanas.co.za;
 s=mail; t=1569680202;
 bh=WX/6InHzO+qucsauKZcJBV8VKNLsPhkbcI/Arwqob+0=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From;
 b=IJ/VJn93X45lu2gMm0aSPmOzS2GNZly8UBHsHEYdh5BWFFL0FCBwHGVL5rzhp2vlC
 L7j+3c3+Bxt6r86x7yLdCci1FavnZDi1uE6G/Ti+IiI7C8ah47lNchpsFUmm+uIcHV
 1tqtKj6bIXr2BNdoH6wt/c1rkkx0xXC5Bs73IWDu2fXrYiONpxy9UyyJWO3Kq6nXHv
 V0DPGKBlpzu20Dc2akzxL52vAp0kyODcEU6uOTKx76MWlN7SNHWM1gEjEdj3xV0/RX
 2+hiz+OJ3L1dLr+9wDJaDE1kPap9k5+OfN6YLmGjvxgBI5pHu1AdHYUmL8BD7lLjvx
 vFEiE/jklAFpg==
References: <87sgp4pj7s.fsf@HIDDEN>
 <20190910112120.ezqnrrfffhhjvc2d@HIDDEN>
 <874l1ipnlr.fsf@HIDDEN>
 <20190912053411.bscrrsv6flzy7lgu@HIDDEN>
 <87y2yo5j40.fsf@HIDDEN>
 <20190916160635.dzx2ikvzi3kagtrc@HIDDEN>
 <20190927163735.c4cjjuh4r6i6de3c@HIDDEN>
From: Divan Santana <divan@HIDDEN>
To: "pelzflorian \(Florian Pelz\)" <pelzflorian@HIDDEN>
Subject: Re: bug#37369: Getting network-manager-openconnect to work
In-reply-to: <20190927163735.c4cjjuh4r6i6de3c@HIDDEN>
Date: Sat, 28 Sep 2019 16:16:40 +0200
Message-ID: <87ftkgtsjb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  pelzflorian (Florian Pelz) <pelzflorian@HIDDEN> writes:
    > Hello! > > There might be a workaround: > > NetworkManager stopped segfaulting
    for me after I “edited” the > openconnect VPN connection in nm-connection-editor
    without making any > changes to th [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: freedesktop.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  1.3 RDNS_NONE              Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 37369
Cc: 37369 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 help-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

pelzflorian (Florian Pelz) <pelzflorian@HIDDEN> writes:

> Hello!
>
> There might be a workaround:
>
> NetworkManager stopped segfaulting for me after I =E2=80=9Cedited=E2=80=
=9D the
> openconnect VPN connection in nm-connection-editor without making any
> changes to the connection.  Apparently this fixed get_secrets_done_cb
> being passed what GDB calls an =E2=80=9C<incomplete type>=E2=80=9D as the=
 connection
> and crashing in nm_connection_get_setting_by_name.  I need to repeat
> this nm-connection-editor editing after every reboot.
>
> Does editing the VPN connection in nm-connection-editor fix the
> problem for you, Divan Santana?

So firstly I can't edit the connection as my user, without sudo. Not
sure if I need to be in some group to do that?

I then edited something like so:

ds@swift ~ $ sudo nm-connection-editor
Password:

(nm-connection-editor:1990): Gtk-WARNING **: 16:01:57.175: Could not find t=
he icon 'pan-down-symbolic-ltr'. The 'hicolor' theme
was not found either, perhaps you need to install it.
You can get a copy from:
        http://icon-theme.freedesktop.org/releases

(nm-connection-editor:1990): Gtk-WARNING **: 16:02:01.028: Could not load a=
 pixbuf from /org/gtk/libgtk/theme/Adwaita/assets/check-symbolic.svg.
This may indicate that pixbuf loaders or the mime database could not be fou=
nd.
GLib-GIO-Message: 16:02:08.131: Using the 'memory' GSettings backend.  Your=
 settings will not be saved or shared with other applications.

Once I edited the connection and tried to connect it still fails for me
like this:

ds@swift ~ $ sudo nmcli con up vpn-example --ask
Error: openconnect failed: Could not find "openconnect" binary
A password is required to connect to 'vpn-example'.
Gateway (vpn.secrets.gateway): ^Cds@swift ~ $

On arch, with the same connection file, it works on CLI with above
command.

I then tried starting nm-applet and then running:

ds@swift ~ $ sudo nmcli con up vpn-example

It then brings up the GUI and shows me a certificate for remote
gateway. Asks me to select my group and enter username and password. So
it appears like it's working. It then fails to auth for some reason.

Sep 28 16:07:16 localhost NetworkManager[506]: <info>  [1569679636.8722] vp=
n-connection[0x1cae420,ed432bd4-9078-493d-a9c3-fb7ac4199917,"vpn-example",0=
]: VPN service disappeared
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0578] ma=
nager: (tun0): new Tun device (/org/freedesktop/NetworkManager/Devices/10)
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0847] de=
vice (tun0): state change: unmanaged -> unavailable (reason 'connection-ass=
umed', sys-iface-state: 'external')
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0860] ke=
yfile: add connection in-memory (3a679fd7-0450-43ef-8e48-63850b1f0798,"tun0=
")
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0871] de=
vice (tun0): state change: unavailable -> disconnected (reason 'connection-=
assumed', sys-iface-state: 'external')
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0878] de=
vice (tun0): Activation: starting connection 'tun0' (3a679fd7-0450-43ef-8e4=
8-63850b1f0798)
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0882] de=
vice (tun0): state change: disconnected -> prepare (reason 'none', sys-ifac=
e-state: 'external')
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0886] de=
vice (tun0): state change: prepare -> config (reason 'none', sys-iface-stat=
e: 'external')
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0888] de=
vice (tun0): state change: config -> ip-config (reason 'none', sys-iface-st=
ate: 'external')
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0889] de=
vice (tun0): state change: ip-config -> ip-check (reason 'none', sys-iface-=
state: 'external')
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0891] de=
vice (tun0): state change: ip-check -> secondaries (reason 'none', sys-ifac=
e-state: 'external')
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0893] de=
vice (tun0): state change: secondaries -> activated (reason 'none', sys-ifa=
ce-state: 'external')
Sep 28 16:11:33 localhost nscd: 464 monitored file `/etc/resolv.conf` was w=
ritten to
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.1084] de=
vice (tun0): Activation: successful, device activated.
Sep 28 16:11:34 localhost ntpd[507]: Listen normally on 11 tun0 10.7.246.16=
4:123
Sep 28 16:11:34 localhost ntpd[507]: Listen normally on 12 tun0 [fe80::60db=
:5ddd:b445:60e9%11]:123
Sep 28 16:11:36 localhost nscd: 464 monitored file `/etc/resolv.conf` was m=
oved into place, adding watch
Sep 28 16:11:47 localhost NetworkManager[506]: <info>  [1569679907.3367] de=
vice (tun0): state change: activated -> unmanaged (reason 'unmanaged', sys-=
iface-state: 'removed')
Sep 28 16:11:48 localhost ntpd[507]: Deleting interface #11 tun0, 10.7.246.=
164#123, interface stats: received=3D0, sent=3D0, dropped=3D0, active_time=
=3D14 secs
Sep 28 16:11:48 localhost ntpd[507]: Deleting interface #12 tun0, fe80::60d=
b:5ddd:b445:60e9%11#123, interface stats: received=3D0, sent=3D0, dropped=
=3D0, active_time=3D14 secs
Sep 28 16:12:02 localhost NetworkManager[506]: <info>  [1569679922.9339] au=
dit: op=3D"connection-activate" uuid=3D"ed432bd4-9078-493d-a9c3-fb7ac419991=
7" name=3D"vpn-example" pid=3D2986 uid=3D1000 result=3D"success"
Sep 28 16:12:02 localhost NetworkManager[506]: <info>  [1569679922.9371] vp=
n-connection[0x1cae220,ed432bd4-9078-493d-a9c3-fb7ac4199917,"vpn-example",0=
]: Started the VPN service, PID 2992
Sep 28 16:12:02 localhost NetworkManager[506]: <info>  [1569679922.9439] vp=
n-connection[0x1cae220,ed432bd4-9078-493d-a9c3-fb7ac4199917,"vpn-example",0=
]: Saw the service appear; activating connection
Sep 28 16:12:13 localhost ntpd[507]: Soliciting pool server 196.10.54.57
Sep 28 16:12:28 localhost NetworkManager[506]: <info>  [1569679948.1291] se=
ttings-connection[0x1b091c0,ed432bd4-9078-493d-a9c3-fb7ac4199917]: write: s=
uccessfully commited (keyfile: update /etc/NetworkManager/system-connection=
s/vpn-example (ed432bd4-9078-493d-a9c3-fb7ac4199917,"vpn-example"))
Sep 28 16:12:28 localhost NetworkManager[506]: <error> [1569679948.1318] vp=
n-connection[0x1cae220,ed432bd4-9078-493d-a9c3-fb7ac4199917,"vpn-example",0=
]: final secrets request failed to provide sufficient secrets
Sep 28 16:12:28 localhost NetworkManager[506]: <info>  [1569679948.1343] vp=
n-connection[0x1cae220,ed432bd4-9078-493d-a9c3-fb7ac4199917,"vpn-example",0=
]: VPN service disappeared
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0102] er=
ror requesting auth for org.freedesktop.NetworkManager.wifi.share.protected=
: Authorization check failed: Failed to open file =E2=80=9C/proc/3076/statu=
s=E2=80=9D: No such file or directory
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0107] er=
ror requesting auth for org.freedesktop.NetworkManager.wifi.share.open: Aut=
horization check failed: Failed to open file =E2=80=9C/proc/3076/status=E2=
=80=9D: No such file or directory
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0110] er=
ror requesting auth for org.freedesktop.NetworkManager.settings.modify.syst=
em: Authorization check failed: Failed to open file =E2=80=9C/proc/3076/sta=
tus=E2=80=9D: No such file or directory
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0114] er=
ror requesting auth for org.freedesktop.NetworkManager.settings.modify.own:=
 Authorization check failed: Failed to open file =E2=80=9C/proc/3076/status=
=E2=80=9D: No such file or directory
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0118] er=
ror requesting auth for org.freedesktop.NetworkManager.settings.modify.host=
name: Authorization check failed: Failed to open file =E2=80=9C/proc/3076/s=
tatus=E2=80=9D: No such file or directory
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0120] er=
ror requesting auth for org.freedesktop.NetworkManager.settings.modify.glob=
al-dns: Authorization check failed: Failed to open file =E2=80=9C/proc/3076=
/status=E2=80=9D: No such file or directory
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0124] er=
ror requesting auth for org.freedesktop.NetworkManager.reload: Authorizatio=
n check failed: Failed to open file =E2=80=9C/proc/3076/status=E2=80=9D: No=
 such file or directory
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0127] er=
ror requesting auth for org.freedesktop.NetworkManager.checkpoint-rollback:=
 Authorization check failed: Failed to open file =E2=80=9C/proc/3076/status=
=E2=80=9D: No such file or directory
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0130] er=
ror requesting auth for org.freedesktop.NetworkManager.enable-disable-stati=
stics: Authorization check failed: Failed to open file =E2=80=9C/proc/3076/=
status=E2=80=9D: No such file or directory
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0133] er=
ror requesting auth for org.freedesktop.NetworkManager.enable-disable-conne=
ctivity-check: Authorization check failed: Failed to open file =E2=80=9C/pr=
oc/3076/status=E2=80=9D: No such file or directory





Information forwarded to bug-guix@HIDDEN:
bug#37369; Package guix. Full text available.

Message received at 37369 <at> debbugs.gnu.org:


Received: (at 37369) by debbugs.gnu.org; 28 Sep 2019 14:00:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 28 10:00:30 2019
Received: from localhost ([127.0.0.1]:50981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEDGv-00080u-Tp
	for submit <at> debbugs.gnu.org; Sat, 28 Sep 2019 10:00:30 -0400
Received: from [156.0.193.126] (port=43063 helo=mail.santanas.co.za)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <divan@HIDDEN>) id 1iEDGu-00080k-C7
 for 37369 <at> debbugs.gnu.org; Sat, 28 Sep 2019 10:00:28 -0400
Received: from authenticated-user (mail.santanas.co.za [156.0.193.126])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.santanas.co.za (Postfix) with ESMTPSA id 044515F4F0;
 Sat, 28 Sep 2019 16:00:25 +0200 (SAST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=santanas.co.za;
 s=mail; t=1569679226;
 bh=gq123ajiT6TM1gA6xs6DGI2otnBCFj0Fo/03wpi2mD8=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From;
 b=ghdLZ8sqYUpnMMOv4Mm5SAeF5eFwYo6paRFC77Bg8cVA7YMcI3iFKht9Xjcs+G3PW
 5Jd8bZKdh2b0fHtwlUnlSwNqQLmURRRaG3b9qUQIacPo8UBCZjNRxTQ42wo2oTnbWc
 rQkYz5zibyO0+MMGwaE6yNjVPkTbbvxaAzwLi5sdzpP9ZQrvkCLL85rulEVGZPi2iz
 Ywa81ZkMBImrlJifK6soBiqdT7869N99u9cAUe8aBqJ8UDdklF25n0XGkq+0uXdczt
 2GZtxuzfg+U6HJzHeP1pWnB8UUnfKZ/jSN7g3erwwJdgIlt+WWfsV2JtsHX2R+v6wG
 u1CvbC6vDcR4A==
References: <87sgp4pj7s.fsf@HIDDEN>
 <20190910112120.ezqnrrfffhhjvc2d@HIDDEN>
 <874l1ipnlr.fsf@HIDDEN>
 <20190912053411.bscrrsv6flzy7lgu@HIDDEN>
 <87y2yo5j40.fsf@HIDDEN>
 <20190916160635.dzx2ikvzi3kagtrc@HIDDEN>
 <20190927163735.c4cjjuh4r6i6de3c@HIDDEN>
From: Divan Santana <divan@HIDDEN>
To: "pelzflorian \(Florian Pelz\)" <pelzflorian@HIDDEN>
Subject: Re: bug#37369: Getting network-manager-openconnect to work
In-reply-to: <20190927163735.c4cjjuh4r6i6de3c@HIDDEN>
Date: Sat, 28 Sep 2019 16:00:25 +0200
Message-ID: <87h84wttae.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  pelzflorian (Florian Pelz) <pelzflorian@HIDDEN> writes:
    > Hello! > > There might be a workaround: > > NetworkManager stopped segfaulting
    for me after I “edited” the > openconnect VPN connection in nm-connection-editor
    without making any > changes to th [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: pelzflorian.de]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  1.3 RDNS_NONE              Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 37369
Cc: 37369 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 help-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

pelzflorian (Florian Pelz) <pelzflorian@HIDDEN> writes:

> Hello!
>
> There might be a workaround:
>
> NetworkManager stopped segfaulting for me after I =E2=80=9Cedited=E2=80=
=9D the
> openconnect VPN connection in nm-connection-editor without making any
> changes to the connection.  Apparently this fixed get_secrets_done_cb
> being passed what GDB calls an =E2=80=9C<incomplete type>=E2=80=9D as the=
 connection
> and crashing in nm_connection_get_setting_by_name.  I need to repeat
> this nm-connection-editor editing after every reboot.
>
> Does editing the VPN connection in nm-connection-editor fix the
> problem for you, Divan Santana?

I'll let you know.


> No patch at all is required for me.  nmtui works fine without the patch.

> This issue is not present in Arch Linux using the more recent
> NetworkManager 1.20.2.  I have not yet attempted to upgrade Guix=E2=80=99
> NetworkManager to a more recent version.






Information forwarded to bug-guix@HIDDEN:
bug#37369; Package guix. Full text available.

Message received at 37369 <at> debbugs.gnu.org:


Received: (at 37369) by debbugs.gnu.org; 27 Sep 2019 16:37:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 12:37:40 2019
Received: from localhost ([127.0.0.1]:48609 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDtFU-00082l-F3
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 12:37:40 -0400
Received: from pelzflorian.de ([5.45.111.108]:58178 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1iDtFS-00082Z-8l
 for 37369 <at> debbugs.gnu.org; Fri, 27 Sep 2019 12:37:39 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 9C0B3360035;
 Fri, 27 Sep 2019 18:37:35 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1569602255;
 bh=QP6+3G97kZJx4E3UJUv/gdop3dNYcnjSV3/fgtSbi8E=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=e+AfqDsk0GR9IjapsQKigHZkMuj3hbZ521BLmJsZEcAw1Ar3Y/4ttyoAfz3AZ/4Iu
 KyOqccNtWQse3nASRLETSazTo8Nhe+yX2MvXIXi3j2mpkK2882Ol15x1tL/iAtydmd
 YsW/CxLm/y4/F0YYA1lvDOzI6EwNTzxBzZNDVqxc=
Date: Fri, 27 Sep 2019 18:37:35 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#37369: Getting network-manager-openconnect to work
Message-ID: <20190927163735.c4cjjuh4r6i6de3c@HIDDEN>
References: <87sgp4pj7s.fsf@HIDDEN>
 <20190910112120.ezqnrrfffhhjvc2d@HIDDEN>
 <874l1ipnlr.fsf@HIDDEN>
 <20190912053411.bscrrsv6flzy7lgu@HIDDEN>
 <87y2yo5j40.fsf@HIDDEN>
 <20190916160635.dzx2ikvzi3kagtrc@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <20190916160635.dzx2ikvzi3kagtrc@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37369
Cc: 37369 <at> debbugs.gnu.org, divan@HIDDEN, help-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello!

There might be a workaround:

NetworkManager stopped segfaulting for me after I “edited” the
openconnect VPN connection in nm-connection-editor without making any
changes to the connection.  Apparently this fixed get_secrets_done_cb
being passed what GDB calls an “<incomplete type>” as the connection
and crashing in nm_connection_get_setting_by_name.  I need to repeat
this nm-connection-editor editing after every reboot.

Does editing the VPN connection in nm-connection-editor fix the
problem for you, Divan Santana?

No patch at all is required for me.  nmtui works fine without the patch.

This issue is not present in Arch Linux using the more recent
NetworkManager 1.20.2.  I have not yet attempted to upgrade Guix’
NetworkManager to a more recent version.

Regards,
Florian




Information forwarded to bug-guix@HIDDEN:
bug#37369; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Sep 2019 16:06:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 16 12:06:44 2019
Received: from localhost ([127.0.0.1]:50882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9tWV-0003YB-Sk
	for submit <at> debbugs.gnu.org; Mon, 16 Sep 2019 12:06:44 -0400
Received: from lists.gnu.org ([209.51.188.17]:57241)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1i9tWT-0003Y1-VG
 for submit <at> debbugs.gnu.org; Mon, 16 Sep 2019 12:06:42 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38586)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <pelzflorian@HIDDEN>) id 1i9tWR-0000Q3-Lo
 for bug-guix@HIDDEN; Mon, 16 Sep 2019 12:06:40 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pelzflorian@HIDDEN>) id 1i9tWQ-000844-DG
 for bug-guix@HIDDEN; Mon, 16 Sep 2019 12:06:39 -0400
Received: from pelzflorian.de ([5.45.111.108]:51628 helo=mail.pelzflorian.de)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <pelzflorian@HIDDEN>)
 id 1i9tWP-00083R-SS; Mon, 16 Sep 2019 12:06:38 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 197633602A4;
 Mon, 16 Sep 2019 18:06:36 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1568649996;
 bh=wpXv/EYbjU0dARW3W2kWi4PbH9fwRXI9HE+gbWWWGew=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=DTP6YxmZ+NaxzH+D+KRBCAC1XJ5dIxWedywrLW8Sza0CSVkaXUw2r3WUUGM8DdX1l
 0n4q7w+04/TBewMhC/Jp9WWnF6tv/RCMV0qSLbaVTHcT3eROLccGS25EMv2XyMjAwJ
 PR6apRaorfAktX77liwJ7NWymGmqPEFDfXZGN7Z8=
Date: Mon, 16 Sep 2019 18:06:35 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: Getting network-manager-openconnect to work
Message-ID: <20190916160635.dzx2ikvzi3kagtrc@HIDDEN>
References: <87sgp4pj7s.fsf@HIDDEN>
 <20190910112120.ezqnrrfffhhjvc2d@HIDDEN>
 <874l1ipnlr.fsf@HIDDEN>
 <20190912053411.bscrrsv6flzy7lgu@HIDDEN>
 <87y2yo5j40.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="rc7ntuurgcx347uj"
Content-Disposition: inline
In-Reply-To: <87y2yo5j40.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 5.45.111.108
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Help guix <help-guix@HIDDEN>, Divan Santana <divan@HIDDEN>,
 bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


--rc7ntuurgcx347uj
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Mon, Sep 16, 2019 at 05:57:51PM +0200, Ludovic Court=C3=A8s wrote:
> So I guess we first need someone to tell us whether the patch =E2=80=9C=
works=E2=80=9D,
> as you wrote, right?  :-)
>=20
> Ludo=E2=80=99.

Currently I have built the attached patch, but NetworkManager
segfaults when connecting, and I try to debug why.

Regards,
Florian

--rc7ntuurgcx347uj
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename="0001-gnu-network-manager-Enable-openconnect-helper.patch"

From 1efadd4619f397429d5fae024b46cd8100870c42 Mon Sep 17 00:00:00 2001
From: Florian Pelz <pelzflorian@HIDDEN>
Date: Mon, 16 Sep 2019 15:27:01 +0200
Subject: [PATCH] gnu: network-manager: Enable openconnect helper.

* gnu/packages/gnome.scm (network-manager): Add openconnect input.
Patch source to use it instead of searching /usr/bin.
---
 gnu/packages/gnome.scm | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 5dc18b3bb5..a8ba00965d 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -5374,6 +5374,13 @@ users.")
                (("src/devices/tests/test-lldp") " ")
                (("src/tests/test-route-manager-linux") " "))
              #t))
+         (add-after 'unpack 'patch-source
+           (lambda* (#:key inputs #:allow-other-keys)
+             (let ((openconnect (assoc-ref inputs "openconnect")))
+               (substitute* "clients/common/nm-vpn-helpers.c"
+                 (("\\\"/usr/sbin/openconnect\\\"")
+                  (string-append "\"" openconnect "/sbin/openconnect\"")))
+               #t)))
          (add-after 'unpack 'delete-failing-tests
            (lambda _
              ;; FIXME: These four tests fail for unknown reasons.
@@ -5436,6 +5443,7 @@ users.")
        ("libsoup" ,libsoup)
        ("modem-manager" ,modem-manager)
        ("newt" ,newt)                       ;for the 'nmtui' console interface
+       ("openconnect" ,openconnect)
        ("polkit" ,polkit)
        ("ppp" ,ppp)
        ("readline" ,readline)
-- 
2.23.0


--rc7ntuurgcx347uj--




Information forwarded to bug-guix@HIDDEN:
bug#37369; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Sep 2019 15:57:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 16 11:57:59 2019
Received: from localhost ([127.0.0.1]:50874 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9tO3-0003Hj-Ht
	for submit <at> debbugs.gnu.org; Mon, 16 Sep 2019 11:57:59 -0400
Received: from lists.gnu.org ([209.51.188.17]:50488)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1i9tO2-0003Hc-2E
 for submit <at> debbugs.gnu.org; Mon, 16 Sep 2019 11:57:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36898)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1i9tNz-0000io-9o; Mon, 16 Sep 2019 11:57:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53000)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1i9tNx-0004Yc-Hk; Mon, 16 Sep 2019 11:57:53 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=49528 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1i9tNw-0000uR-LA; Mon, 16 Sep 2019 11:57:53 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "pelzflorian \(Florian Pelz\)" <pelzflorian@HIDDEN>
Subject: Re: Getting network-manager-openconnect to work
References: <87sgp4pj7s.fsf@HIDDEN>
 <20190910112120.ezqnrrfffhhjvc2d@HIDDEN>
 <874l1ipnlr.fsf@HIDDEN>
 <20190912053411.bscrrsv6flzy7lgu@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 30 Fructidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 16 Sep 2019 17:57:51 +0200
In-Reply-To: <20190912053411.bscrrsv6flzy7lgu@HIDDEN>
 (pelzflorian@HIDDEN's message of "Thu, 12 Sep 2019 07:34:11
 +0200")
Message-ID: <87y2yo5j40.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: Help guix <help-guix@HIDDEN>, Divan Santana <divan@HIDDEN>,
 bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Florian,

"pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN> skribis:

> On Wed, Sep 11, 2019 at 10:46:56PM +0200, Ludovic Court=C3=A8s wrote:
>> Something I don=E2=80=99t get: why does NM itself know about openconnect?
>>=20
>> There=E2=80=99s a network-manager-openconnect plugin, so I would expect
>> everything openconnect to happen there.  Do you know why it=E2=80=99s no=
t that
>> way?
>>=20
>> Thanks,
>> Ludo=E2=80=99.
>
> I don=E2=80=99t know.  The patch addresses (if it works) a function called
> nm_vpn_openconnect_authenticate_helper within the code for
> NetworkManager clients like nmtui, probably also nm-connection-editor,
> that calls openconnect --authenticate.

So I guess we first need someone to tell us whether the patch =E2=80=9Cwork=
s=E2=80=9D,
as you wrote, right?  :-)

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#37369; Package guix. Full text available.

Message received at 37369 <at> debbugs.gnu.org:


Received: (at 37369) by debbugs.gnu.org; 16 Sep 2019 11:53:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 16 07:53:39 2019
Received: from localhost ([127.0.0.1]:49311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9pZb-0007L9-JM
	for submit <at> debbugs.gnu.org; Mon, 16 Sep 2019 07:53:39 -0400
Received: from pelzflorian.de ([5.45.111.108]:37550 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1i9pZY-0007Kz-86
 for 37369 <at> debbugs.gnu.org; Mon, 16 Sep 2019 07:53:37 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 952303602A4;
 Mon, 16 Sep 2019 13:53:34 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1568634814;
 bh=b2eIUe3yewI3ou9Z4dQu1X8o+fzIrDXHFRddN8DtFGU=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=dtm2FMTRTCjkwOgq8gOv/rBkO8FBaLjn4gukO7kOH+96kfUm7zPjrqda84+M0ufok
 cUq4Qsz5rYUkebcrbxHhwZiBl9iPiZxPCZJ4v8dtD023Wk5Lh5yWE45YYtbHGEjAFz
 pW8z9Gtp2tgi0MVYxlM1qMfwhjJLmG8l3OWjSEMk=
Date: Mon, 16 Sep 2019 13:53:34 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Divan Santana <divan@HIDDEN>
Subject: Re: bug#37369: Getting network-manager-openconnect to work
Message-ID: <20190916115334.ee53neu23p7f4g5x@HIDDEN>
References: <87sgp4pj7s.fsf@HIDDEN>
 <20190910112120.ezqnrrfffhhjvc2d@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20190910112120.ezqnrrfffhhjvc2d@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37369
Cc: 37369 <at> debbugs.gnu.org, help-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Sep 10, 2019 at 01:21:20PM +0200, pelzflorian (Florian Pelz) wrote:
> I suspect something like the attached patch would help (and expand the
> closure of network-manager to always include openconnect).
> 

Sorry, my old patch did not even build.  A friend lent me her
AnyConnect credentials so I can test.  I will test now and send a
working patch.

Regards,
Florian




Information forwarded to bug-guix@HIDDEN:
bug#37369; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Sep 2019 05:34:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 12 01:34:18 2019
Received: from localhost ([127.0.0.1]:42946 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i8HkI-0000ms-Lc
	for submit <at> debbugs.gnu.org; Thu, 12 Sep 2019 01:34:18 -0400
Received: from lists.gnu.org ([209.51.188.17]:59905)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1i8HkH-0000ml-29
 for submit <at> debbugs.gnu.org; Thu, 12 Sep 2019 01:34:17 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56067)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <pelzflorian@HIDDEN>) id 1i8HkF-0002f1-P2
 for bug-guix@HIDDEN; Thu, 12 Sep 2019 01:34:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pelzflorian@HIDDEN>) id 1i8HkE-0001dW-Q0
 for bug-guix@HIDDEN; Thu, 12 Sep 2019 01:34:15 -0400
Received: from pelzflorian.de ([5.45.111.108]:44972 helo=mail.pelzflorian.de)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <pelzflorian@HIDDEN>)
 id 1i8HkE-0001d8-Bm; Thu, 12 Sep 2019 01:34:14 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 122C436053D;
 Thu, 12 Sep 2019 07:34:11 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1568266452;
 bh=ZjenXzwl3yTRckOiYhIkNX1VzgHOY5CmcAhmmnBhdNs=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=tRcGAo5AzN0Gl/PJFwGAvqcRXKvilZ9kROPhSG4MvtvuBcJ0inZF9Kosqs3JX9yu3
 RIQIIC1SyENyxHxcY4eXrnxP/BcZ2mFcJN1FUg1tkt2UyEEgfXg/USV/3zPc4sHCea
 OLCk8NnJU8Cp5pLibeBhZ9D3aYwMx7sZ9fAceBIM=
Date: Thu, 12 Sep 2019 07:34:11 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: Getting network-manager-openconnect to work
Message-ID: <20190912053411.bscrrsv6flzy7lgu@HIDDEN>
References: <87sgp4pj7s.fsf@HIDDEN>
 <20190910112120.ezqnrrfffhhjvc2d@HIDDEN>
 <874l1ipnlr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
In-Reply-To: <874l1ipnlr.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 5.45.111.108
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Help guix <help-guix@HIDDEN>, Divan Santana <divan@HIDDEN>,
 bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

On Wed, Sep 11, 2019 at 10:46:56PM +0200, Ludovic Court=C3=A8s wrote:
> Something I don=E2=80=99t get: why does NM itself know about openconnec=
t?
>=20
> There=E2=80=99s a network-manager-openconnect plugin, so I would expect
> everything openconnect to happen there.  Do you know why it=E2=80=99s n=
ot that
> way?
>=20
> Thanks,
> Ludo=E2=80=99.

I don=E2=80=99t know.  The patch addresses (if it works) a function calle=
d
nm_vpn_openconnect_authenticate_helper within the code for
NetworkManager clients like nmtui, probably also nm-connection-editor,
that calls openconnect --authenticate.

Perhaps the network manager service could symlink the openconnect
binary to the plugins directory when used and NetworkManager could be
made to look there, but it would be nice to know if the current patch
works.

Regards,
Florian




Information forwarded to bug-guix@HIDDEN:
bug#37369; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Sep 2019 20:47:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 11 16:47:04 2019
Received: from localhost ([127.0.0.1]:42806 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i89W3-0002OJ-KV
	for submit <at> debbugs.gnu.org; Wed, 11 Sep 2019 16:47:03 -0400
Received: from lists.gnu.org ([209.51.188.17]:43638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1i89W1-0002OA-Ld
 for submit <at> debbugs.gnu.org; Wed, 11 Sep 2019 16:47:02 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48600)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1i89W0-0001bu-FJ; Wed, 11 Sep 2019 16:47:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51407)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1i89Vz-00056p-Ez; Wed, 11 Sep 2019 16:46:59 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=52634 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1i89Vy-0006Ol-KJ; Wed, 11 Sep 2019 16:46:59 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "pelzflorian \(Florian Pelz\)" <pelzflorian@HIDDEN>
Subject: Re: Getting network-manager-openconnect to work
References: <87sgp4pj7s.fsf@HIDDEN>
 <20190910112120.ezqnrrfffhhjvc2d@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 25 Fructidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 11 Sep 2019 22:46:56 +0200
In-Reply-To: <20190910112120.ezqnrrfffhhjvc2d@HIDDEN>
 (pelzflorian@HIDDEN's message of "Tue, 10 Sep 2019 13:21:20
 +0200")
Message-ID: <874l1ipnlr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: Help guix <help-guix@HIDDEN>, Divan Santana <divan@HIDDEN>,
 bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Florian,

"pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN> skribis:

> From 8de7675a2dc2c1385d312e35136f8fa9eb4f9825 Mon Sep 17 00:00:00 2001
> From: Florian Pelz <pelzflorian@HIDDEN>
> Date: Tue, 10 Sep 2019 12:59:19 +0200
> Subject: [PATCH] gnu: network-manager: Enable openconnect helper.
>
> * gnu/packages/gnome.scm (network-manager): Add openconnect input.
> Patch source to use it instead of searching /usr/bin.
> ---
>  gnu/packages/gnome.scm | 8 ++++++++
>  1 file changed, 8 insertions(+)
>
> diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
> index efe5206e53..a6ea09d8f6 100644
> --- a/gnu/packages/gnome.scm
> +++ b/gnu/packages/gnome.scm
> @@ -5372,6 +5372,13 @@ users.")
>                 (("src/devices/tests/test-lldp") " ")
>                 (("src/tests/test-route-manager-linux") " "))
>               #t))
> +         (add-after 'unpack 'patch-source
> +           (lambda* (#:key inputs #:allow-other-keys)
> +             (begin
> +               (substitute* "clients/common/nm-vpn-helpers.c"
> +                 (("\\\"/usr/sbin/openconnect\\\"")
> +                  (string-append openconnect "\"/bin/openconnect\"")))
> +               #t)))
>           (add-after 'unpack 'delete-failing-tests
>             (lambda _
>               ;; FIXME: These four tests fail for unknown reasons.
> @@ -5434,6 +5441,7 @@ users.")
>         ("libsoup" ,libsoup)
>         ("modem-manager" ,modem-manager)
>         ("newt" ,newt)                       ;for the 'nmtui' console int=
erface
> +       ("openconnect" ,openconnect)

Something I don=E2=80=99t get: why does NM itself know about openconnect?

There=E2=80=99s a network-manager-openconnect plugin, so I would expect
everything openconnect to happen there.  Do you know why it=E2=80=99s not t=
hat
way?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#37369; Package guix. Full text available.

Message received at 37369 <at> debbugs.gnu.org:


Received: (at 37369) by debbugs.gnu.org; 11 Sep 2019 11:39:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 11 07:39:50 2019
Received: from localhost ([127.0.0.1]:42091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i80yT-0002no-Q8
	for submit <at> debbugs.gnu.org; Wed, 11 Sep 2019 07:39:50 -0400
Received: from pelzflorian.de ([5.45.111.108]:58276 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1i80yS-0002nf-71
 for 37369 <at> debbugs.gnu.org; Wed, 11 Sep 2019 07:39:49 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 99B133600FA;
 Wed, 11 Sep 2019 13:39:46 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1568201987;
 bh=yoqk0sV3MC7m579ilg4cvmDVFltwnY0jUSzZxd34GnM=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=uDT00etxftFq7aXZk241Lgi1pcdW36Ru4bQQzqvNLHZ5wxAG/nQGrre/IYZJBjzUF
 mTwL8YzaB/G8V6yRlV/OuuFIXV1r1Oda5/Ok3OFBHoLVqBN2ZM0pN7x8mJu0fdM7d8
 +lES3F1inhWpk9N4c4aUOM+/GP6dM2lPjdCoMZRQ=
Date: Wed, 11 Sep 2019 13:39:46 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Subject: Re: bug#37369: Getting network-manager-openconnect to work
Message-ID: <20190911113946.5mxaxerhjkuejtel@HIDDEN>
References: <87sgp4pj7s.fsf@HIDDEN>
 <20190910112120.ezqnrrfffhhjvc2d@HIDDEN>
 <20190911073822.GI977@E5400>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <20190911073822.GI977@E5400>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37369
Cc: 37369 <at> debbugs.gnu.org, Divan Santana <divan@HIDDEN>,
 help-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, Sep 11, 2019 at 10:38:22AM +0300, Efraim Flashner wrote:
> Instead of adding openconnect to network-manager, would it be enough to
> 
> (substitute* "the-file"
>   (("/usr/sbin/openconnect") "openconnect"))
> 
> 

No, at least the comment documenting nm_utils_file_search_in_paths says:

/**
 * nm_utils_file_search_in_paths:
 * […]
 * @try_first: (allow-none): a custom path to try first before searching.
 *   It is silently ignored if it is empty or not an absolute path.
 * […]

I do not know if my patch works though.

Regards,
Florian




Information forwarded to bug-guix@HIDDEN:
bug#37369; Package guix. Full text available.

Message received at 37369 <at> debbugs.gnu.org:


Received: (at 37369) by debbugs.gnu.org; 11 Sep 2019 07:38:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 11 03:38:31 2019
Received: from localhost ([127.0.0.1]:41991 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i7xCw-0003Ji-TV
	for submit <at> debbugs.gnu.org; Wed, 11 Sep 2019 03:38:31 -0400
Received: from flashner.co.il ([178.62.234.194]:54450)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1i7xCv-0003JW-CB
 for 37369 <at> debbugs.gnu.org; Wed, 11 Sep 2019 03:38:29 -0400
Received: from localhost (unknown [188.120.128.191])
 by flashner.co.il (Postfix) with ESMTPSA id 8B9B0402CE;
 Wed, 11 Sep 2019 07:38:23 +0000 (UTC)
Date: Wed, 11 Sep 2019 10:38:22 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
Subject: Re: bug#37369: Getting network-manager-openconnect to work
Message-ID: <20190911073822.GI977@E5400>
References: <87sgp4pj7s.fsf@HIDDEN>
 <20190910112120.ezqnrrfffhhjvc2d@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="C7PTD44AewjTsiSV"
Content-Disposition: inline
In-Reply-To: <20190910112120.ezqnrrfffhhjvc2d@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
User-Agent: Mutt/1.12.1 (2019-06-15)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 37369
Cc: 37369 <at> debbugs.gnu.org, Divan Santana <divan@HIDDEN>,
 help-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--C7PTD44AewjTsiSV
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Instead of adding openconnect to network-manager, would it be enough to

(substitute* "the-file"
  (("/usr/sbin/openconnect") "openconnect"))


--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--C7PTD44AewjTsiSV
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAl14pG4ACgkQQarn3Mo9
g1HCixAAsu2F4Ft6KSMlapeBkSoInZVKvHuRG0yBS2g7zg5HbJS+7EcbzWCzjsNZ
Sr5GhWRFWTpeV+OF9zXHI3koWmshfLls81nAkOg7sQlW4mlc7kskL/0lOg8rnoz3
UgaQfu4X46FoZTR/O8C+ludKZF1A1ZbXqX4cngYsEYEMljilHjpUfcF1+fvS0Jxv
tb77UNmoq/hA8n4sq+7YXcejjrtomySEA5gMWYVgI/VqzrRuy1PDKIgfh4WbUP5m
I7r8nRz6rXR6T8TGSj/xOoMcpH3gFch5IntIrrqOw9985VWiU9UhWLspMLhMysjJ
MLbV9OpQPTRlrv6SEWCzaqPRI4XapmVbPkAKhom3GRRlZ1RrLiWVNYtDA7bIcIzl
5u6Jf4cZvQM9GWrHrfIf9Nl7GL7jW7dhYoTyJ+LsTtsNHCuXbWFxGEHc6tHCYzhM
Z2nnDnOiMWdXTsP9izx5gzbROwXV5SRxMtKDtj8R5nAk6jcQ8l+BWeihNaYdB3wD
kumIu6PWKZEtLTjAdPXp2LbtGNJpx3+/MxR0lLDyRQdoTFsPrTIN4QBBXv7Ifxi2
5Ds7MzfDxDwVu8EnfFT9KninkqndT6ygCkqDsamDME6g4ji1COS3EmrrJsEBXuMo
78T8/dxnq5FnBpPlSw8zXlBmXWbPjaQb3AGQ6DbMtLBSmWJDLh8=
=sDHh
-----END PGP SIGNATURE-----

--C7PTD44AewjTsiSV--




Information forwarded to bug-guix@HIDDEN:
bug#37369; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Sep 2019 11:21:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 10 07:21:30 2019
Received: from localhost ([127.0.0.1]:40990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i7eDC-0000V3-II
	for submit <at> debbugs.gnu.org; Tue, 10 Sep 2019 07:21:30 -0400
Received: from lists.gnu.org ([209.51.188.17]:50472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1i7eDA-0000Uv-Cg
 for submit <at> debbugs.gnu.org; Tue, 10 Sep 2019 07:21:28 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43944)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <pelzflorian@HIDDEN>) id 1i7eD8-00034X-5i
 for bug-guix@HIDDEN; Tue, 10 Sep 2019 07:21:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pelzflorian@HIDDEN>) id 1i7eD6-0005gb-1e
 for bug-guix@HIDDEN; Tue, 10 Sep 2019 07:21:25 -0400
Received: from pelzflorian.de ([5.45.111.108]:42414 helo=mail.pelzflorian.de)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <pelzflorian@HIDDEN>)
 id 1i7eD5-0005cu-C0; Tue, 10 Sep 2019 07:21:23 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id DED653600FA;
 Tue, 10 Sep 2019 13:21:20 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1568114481;
 bh=5pZs9i0MqK2wPJksLibvavpgANYAnPtYGYO/yvdDKtI=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=d7xndpymutRE8rrD/VKz45PD8byVSBwiHU4UwTlFDLqgtH9fraoKOaKE0HJ4Myg6c
 e4eCksycWIZmFKz0ISYdDPUib4CKCrnZgiY5Kdm3/Rk/W8/FVGzs5URavuJAPioO+m
 M9ZQN6Ig3kIZM0AysclkHncRId5Z6BfpAs36ACnI=
Date: Tue, 10 Sep 2019 13:21:20 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Divan Santana <divan@HIDDEN>
Subject: Getting network-manager-openconnect to work
Message-ID: <20190910112120.ezqnrrfffhhjvc2d@HIDDEN>
References: <87sgp4pj7s.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="yxll7soljvp62x7j"
Content-Disposition: inline
In-Reply-To: <87sgp4pj7s.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 5.45.111.108
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, Help guix <help-guix@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


--yxll7soljvp62x7j
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Sep 10, 2019 at 11:57:11AM +0200, Divan Santana wrote:
> Hi Guix,
>=20
> I'm glad openconnect and network-manager-openconnect are now in Guix!
>=20
> It would be nice to get it to work via network-manager, though I suppos=
e
> it's not essential.
>=20
> Using openconnect directly works for me.
>=20
> $ sudo openconnect vpn.somewhere.com
>=20
> Trying to get it work via network-manager gives an error like so:
>=20
> $ sudo nmcli con up vpn-fnb --ask
> Error: openconnect failed: Could not find "openconnect" binary
> A password is required to connect to 'vpn-fnb'.
> Gateway (vpn.secrets.gateway):
>=20
> Even though my services configuration has this vpn-plugins set.
>=20
> (modify-services %desktop-services
>                  (network-manager-service-type
>                   config =3D> (network-manager-configuration
>                              (inherit config)
>                              (dns "dnsmasq")
>                              (vpn-plugins (list network-manager-opencon=
nect))
>                              ))
>=20
> Anyone else seen this?

Cc=E2=80=99ing bug-guix@HIDDEN

I suspect something like the attached patch would help (and expand the
closure of network-manager to always include openconnect).

To test, follow section =E2=80=9CBuilding from Git=E2=80=9D from the manu=
al or Laura=E2=80=99s
video 04-packaging-part-one.webm from
<https://lists.gnu.org/archive/html/guix-devel/2019-07/msg00249.html>,
but after the initial clone command, do

  git apply the-attached.patch

Then after make, do

  sudo -E ./pre-inst-env guix system reconfigure /etc/config.scm

(or whatever your configuration file is called).  I cannot test right
now and have never used openconnect.  It is quite possible I made a
mistake.

Regards,
Florian

--yxll7soljvp62x7j
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename="0001-gnu-network-manager-Enable-openconnect-helper.patch"

From 8de7675a2dc2c1385d312e35136f8fa9eb4f9825 Mon Sep 17 00:00:00 2001
From: Florian Pelz <pelzflorian@HIDDEN>
Date: Tue, 10 Sep 2019 12:59:19 +0200
Subject: [PATCH] gnu: network-manager: Enable openconnect helper.

* gnu/packages/gnome.scm (network-manager): Add openconnect input.
Patch source to use it instead of searching /usr/bin.
---
 gnu/packages/gnome.scm | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index efe5206e53..a6ea09d8f6 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -5372,6 +5372,13 @@ users.")
                (("src/devices/tests/test-lldp") " ")
                (("src/tests/test-route-manager-linux") " "))
              #t))
+         (add-after 'unpack 'patch-source
+           (lambda* (#:key inputs #:allow-other-keys)
+             (begin
+               (substitute* "clients/common/nm-vpn-helpers.c"
+                 (("\\\"/usr/sbin/openconnect\\\"")
+                  (string-append openconnect "\"/bin/openconnect\"")))
+               #t)))
          (add-after 'unpack 'delete-failing-tests
            (lambda _
              ;; FIXME: These four tests fail for unknown reasons.
@@ -5434,6 +5441,7 @@ users.")
        ("libsoup" ,libsoup)
        ("modem-manager" ,modem-manager)
        ("newt" ,newt)                       ;for the 'nmtui' console interface
+       ("openconnect" ,openconnect)
        ("polkit" ,polkit)
        ("ppp" ,ppp)
        ("readline" ,readline)
-- 
2.23.0


--yxll7soljvp62x7j--




Acknowledgement sent to "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#37369; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 29 Sep 2019 08:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.